## scikit-learn 0.3

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/scikit-learn.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/scikit-learn.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== scikits/learn/em/doc/Makefile ===
# Last Change: Sun Jul 22 11:00 AM 2007 J

# This makefile is used to build the pdf from the rest file and inlined code
# from python examples

py2tex	= pygmentize -l python -f tex
rst2tex	= PYTHONPATH=/home/david/local/lib/python2.4/site-packages rst2newlatex.py \
		  --stylesheet-path base.tex --user-stylesheet user.tex 

pytexfiles	= pyem.tex basic_example1.tex basic_example2.tex basic_example3.tex pdfestimation.tex discriminant_analysis.tex

SOURCEPATH	= $(PWD)

EXTTOCLEAN=.chk .dvi .log .aux .bbl .blg .blig .ilg .toc .lof .lot .idx .ind .out .bak .ps .pdf .bm

tutorial.pdf: pyem.pdf
	mv $< $@

pyem.pdf: $(pytexfiles)
	pdflatex $<
	pdflatex $<
	pdflatex $<

pyem.tex: index.txt
	$(rst2tex) $< > $@

basic_example1.tex: ../examples/basic_example1.py
	$(py2tex) $< > $@

basic_example2.tex: ../examples/basic_example2.py
	$(py2tex) $< > $@

basic_example3.tex: ../examples/basic_example3.py
	$(py2tex) $< > $@

pdfestimation.tex: ../examples/pdfestimation.py
	$(py2tex) $< > $@

discriminant_analysis.tex: ../examples/discriminant_analysis.py
	$(py2tex) $< > $@

clean:
	for i in $(pytexfiles); do \
		rm -f `echo $$i`; \
	done;
	for i in $(SOURCEPATH); do \
		for j in $(EXTTOCLEAN); do \
			rm -f  `echo $$i/*$$j`; \
		done; \
	done;

=== debian/changelog ===
scikit-learn (0.3-4) unstable; urgency=low

  * Disabling test_gmm_em unittests while building (Closes: #580879).
    Actual reason for failing tests lies within NumPy -- see #581043,
    which should be fixed there, but should not prevent building of
    this package atm.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 10 May 2010 23:59:49 -0400

scikit-learn (0.3-3) unstable; urgency=low

  * Set HOME and MPLCONFIGDIR while unittesting as well (Closes: #580727)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 08 May 2010 12:47:07 -0400

scikit-learn (0.3-2) unstable; urgency=low

  * Setting both HOME and MPLCONFIGDIR while building documentation
    (slipped through fingers somehow) (Closes: #580727).

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 08 May 2010 00:35:59 -0400

scikit-learn (0.3-1) unstable; urgency=low

  * Fresh upstream release.
  * Switching to use quilt for patches, debian/* tags point to detached
    debian branch
  * debian/rules:
    + build docs after python modules got built
    + additional cleanups
  * debian/control:
    + additional build-depends: python-matplotlib, ipython, swig,
      libboost-dev

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 03 May 2010 12:25:21 -0400

scikit-learn (0.2+svn625-1) unstable; urgency=low

  * Initial Debian release (Closes: #567036)
  * First ever package by me to adhere to use fresh and shiny dh.

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 07 Apr 2010 23:38:06 -0400

=== debian/control ===
Source: scikit-learn
Section: python
Priority: optional
Maintainer: Experimental Psychology Maintainers <pkg-exppsy-maintainers@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.5), python-support (>= 0.6), python-numpy-ext, python-scipy, libsvm-dev (>= 2.84.0), python-sphinx, graphviz, python-nose, python-setuptools, cython, python-matplotlib, ipython, swig, libboost-dev
Standards-Version: 3.8.4
Homepage: http://scikit-learn.sourceforge.net
Vcs-Browser: http://github.com/yarikoptic/scikit-learn
Vcs-Git: git://github.com/yarikoptic/scikit-learn.git
XS-DM-Upload-Allowed: yes

Package: python-scikits-learn
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-scikits-learn-lib(>= ${source:Version})
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Recommends: python-nose, python-psyco, python-matplotlib
Suggests: python-dap, python-scikits-optimization, python-scikits-learn-doc
Description: Python modules for machine learning and data mining
 scikit-learn is a collection of Python modules relevant to
 machine/statistical learning and data mining.  Non-exhaustive list of
 included functionality:
  - Gaussian Mixture Models
  - Manifold learning
  - kNN
  - SVM (via LIBSVM)


Package: python-scikits-learn-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: python-scikits-learn
Description: documentation and examples for scikit-learn
 This package contains documentation and example scripts for
 python-scikits-learn.


Package: python-scikits-learn-lib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: low-level implementations and bindings for scikits-learn
 This is an add-on package for python-scikits-learn. It provides
 low-level implementations and custom Python bindings for the LIBSVM
 library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

PACKAGE_NAME = python-scikits-learn
PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}

PYVERS = $(shell pyversions -vs)
PYVER = $(shell pyversions  -vd)

# Mega rule
%:
	dh $@

# Build docs during build
override_dh_auto_build:
	dh_auto_build
	: # Build Documentation
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	export PYTHONPATH=`/bin/ls -d $$PWD/build/lib.*$(PYVER)` MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
	 cd doc; $(MAKE) html
endif


override_dh_clean:
	rm -rf build doc/_build doc/auto_examples *-stamp scikits.learn.egg-info scikits/learn/datasets/__config__.py
	dh_clean

# Prune toplevel scikits/__init__.py to avoid conflicts across future
# scikits- packages, and rely on pysupport to create such one if
# necessary
override_dh_auto_install: ${PYVERS:%=python-install%}
	find debian -wholename \*scikits/__init__.py -delete

# Per Python version logic -- install, test, move .so into -lib
python-install%:
	python$* setup.py install --install-layout=deb --root=$(PACKAGE_ROOT_DIR)

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	: # Run unittests
	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
	 python$* /usr/bin/nosetests --exclude '(manifold|test_gmm_em)' \
	  $(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/scikits/learn
else
	: # Skip unittests due to nocheck
endif

	: # Move platform-specific libraries into -lib
	for lib in $$(find $(PACKAGE_ROOT_DIR)/usr -name '*.so'); do \
	   sdir=$$(dirname $$lib) ; \
	   tdir=$(PACKAGE_ROOT_DIR)-lib/$${sdir#*$(PACKAGE_NAME)/} ; \
	   mkdir -p $$tdir ; \
	   echo "Moving '$$lib' into '$$tdir'." ; \
	   mv $$lib $$tdir ; \
	done

## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc

override_dh_installdocs:
	: # Use jquery from Debian package, so prune shipped one
	-rm doc/_build/html/_static/jquery.js
	dh_installdocs -A AUTHORS README

## scikit-learn 0.4

=== doc/Makefile ===
--- 
+++ 
@@ -29,6 +29,7 @@
 
 clean:
 	-rm -rf $(BUILDDIR)/*
+	-rm -rf auto_examples/
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== debian/changelog ===
scikit-learn (0.4-3) unstable; urgency=low

  * Acknowledging Nico's NMU
  * Restricting for Python versions >= 2.5

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 06 Aug 2010 10:12:38 -0400

scikit-learn (0.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Call dh_numpy from debian/rules to add the correct depends for numpy in
    python:Depends (Closes: #590762)

 -- Nico Golde <nion@debian.org>  Thu, 05 Aug 2010 13:34:19 +0200

scikit-learn (0.4-2) unstable; urgency=low

  * deb_cython_0.12.1 to use code cythoned with up-to-date cython
    0.12.1
  * Build-Depend on python-numpy providing numpy-ext (Closes: #589590)
  * Policy compliance 3.9.0:
    - providing BSD license verbatim and removing references
      to deprecated BSD license file on Debian systems
  * Nosetesting without suppressing output from code
  * Workaround to allow BFS (Closes: #588595)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 19 Jul 2010 12:32:06 -0400

scikit-learn (0.4-1) unstable; urgency=low

  * Fresh upstream release:
    - no boost library used any longer (removed from Build-Depends)
  * Moving under NeuroDebian umbrella

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 29 Jun 2010 09:32:18 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: scikit-learn
 Section: python
 Priority: optional
-Maintainer: Experimental Psychology Maintainers <pkg-exppsy-maintainers@lists.alioth.debian.org>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.5), python-support (>= 0.6), python-numpy-ext, python-scipy, libsvm-dev (>= 2.84.0), python-sphinx, graphviz, python-nose, python-setuptools, cython, python-matplotlib, ipython, swig, libboost-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.5), python-support (>= 0.6), python-numpy, python-scipy, libsvm-dev (>= 2.84.0), python-sphinx, graphviz, python-nose, python-setuptools, cython, python-matplotlib, ipython, swig
+Standards-Version: 3.9.0
+XS-Python-Version: >= 2.5
 Homepage: http://scikit-learn.sourceforge.net
 Vcs-Browser: http://github.com/yarikoptic/scikit-learn
 Vcs-Git: git://github.com/yarikoptic/scikit-learn.git

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	: # Run unittests
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
-	 python$* /usr/bin/nosetests --exclude '(manifold|test_gmm_em)' \
+	 python$* /usr/bin/nosetests -s --exclude '(manifold|test_gmm_em)' \
 	  $(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/scikits/learn
 else
 	: # Skip unittests due to nocheck
@@ -52,6 +52,7 @@
 	   echo "Moving '$$lib' into '$$tdir'." ; \
 	   mv $$lib $$tdir ; \
 	done
+	if [ -x /usr/bin/dh_numpy ]; then dh_numpy; fi
 
 ## immediately useable documentation and exemplar scripts/data
 override_dh_compress:
@@ -60,4 +61,4 @@
 override_dh_installdocs:
 	: # Use jquery from Debian package, so prune shipped one
 	-rm doc/_build/html/_static/jquery.js
-	dh_installdocs -A AUTHORS README
+	dh_installdocs -A AUTHORS README.rst

=== debian/watch ===
version=3
http://github.com/yarikoptic/scikit-learn/downloads .*tarball/([\d\.a-z]+)

## scikit-learn 0.8.1.dfsg

=== Makefile ===
# simple makefile to simplify repetetive build env management tasks under posix

# caution: testing won't work on windows, see README

PYTHON ?= python
NOSETESTS ?= nosetests
CTAGS ?= ctags

all: clean inplace test test-doc

clean-pyc:
	find . -name "*.pyc" | xargs rm -f

clean-so:
	find . -name "*.so" | xargs rm -f
	find . -name "*.pyd" | xargs rm -f

clean-build:
	rm -rf build

clean-ctags:
	rm -f tags

clean: clean-build clean-pyc clean-so clean-ctags

in: inplace # just a shortcut
inplace:
	$(PYTHON) setup.py build_ext -i

test: in
	$(NOSETESTS) -s scikits/learn
test-doc:
	$(NOSETESTS) -s --with-doctest --doctest-tests --doctest-extension=rst \
	--doctest-fixtures=_fixture doc/modules/

test-coverage:
	$(NOSETESTS) -s --with-coverage --cover-html --cover-html-dir=coverage


trailing-spaces:
	find -name "*.py" |xargs sed -i 's/[ \t]*$$//'

ctags:
	# make tags for symbol based navigation in emacs and vim
	# Install with: sudo apt-get install exuberant-ctags
	$(CTAGS) -R *

=== debian/changelog ===
scikit-learn (0.8.1.dfsg-1) unstable; urgency=low

  * New upstream maintenance release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 01 Jul 2011 14:37:28 -0400

scikit-learn (0.8.0.dfsg-1) unstable; urgency=low

  * New upstream release
  * [97bc011] Boost policy compliance to 3.9.2 -- no changes
  * Included post-release fixes:
    - [f7d5317] FIX: reflect SVC API change (eps -> tol) in doc/tutorial.rst
  * Disabled unittest test_fit_works_on_sequences_of_different_length
    due to test failure during build

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 11 May 2011 10:08:13 -0400

scikit-learn (0.7.1.dfsg-3) unstable; urgency=low

  * Do not build documentation in -a mode, to prevent timeouts on buildd
    servers
  * Use JOBLIB_MULTIPROCESSING=0 to suppress use of multiprocessing by
    joblib while running tests to prevent failures in chroots without
    /dev/shm mounted

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 Apr 2011 17:18:46 -0400

scikit-learn (0.7.1.dfsg-2) unstable; urgency=low

  * Upload to unstable
  * Exclude objects.inv from being compressed (Closes: #608775)
  * Restrict numpy versioned dependency only to -lib package. Thanks Jakub
    Wilk

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Apr 2011 14:24:35 -0400

scikit-learn (0.7.1.dfsg-1) experimental; urgency=low

  * [8972010] New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 19 Mar 2011 11:31:00 -0400

scikit-learn (0.6.0.dfsg-1) experimental; urgency=low

  * [05f0870] Disabled use of system libsvm - scikits.learn has its own
    fork
  * [104eb54] Adjusted dfsg rule -- do not prune libsvm
  * [6b4e757] Updated copyright: DEP5 rev153, entries for cblas/ and
    lib{linear/svm}
  * [489f3a2] Extended TODO (in emacs-org mode): consider system's
    liblinear (need 1.7 with a fix)
  * Introduced .dfsg suffix to signal for difference from the pristine
    distribution of scikits.learn
  * [5dc61b3] Added README.source to describe reason(s) for .dfsg
  * [81e7f16] debian/watch: mangle debian version - remove .dfsg for
    comparisons

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 09 Jan 2011 21:01:33 -0500

scikit-learn (0.5-1) experimental; urgency=low

  * New upstream release.  Absorbed patches:
    - up_libsvm_verbosity_control
    - up_system_libsvm_no_svmhdepends
    - deb_libsvm_cythoning
  * Boost policy compliance to 3.9.1 -- no changes

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 11 Oct 2010 10:00:11 -0400

scikit-learn (0.5~rc3-1) UNRELEASED; urgency=low

  * New upstream release-candidate
    - pruning joblib in favor of external package
      added patch deb_use_system_joblib 
  * New patches for upstream
    - up_libsvm_verbosity_control -- API for controlling libsvm verbosity
    - up_system_libsvm_no_svmhdepends -- do not use shipped svm.h
  * Deprecated patches:
    - up_workaround_numpy_cython_issue589652
    - deb_cython_0.12.1

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Oct 2010 15:05:40 -0400

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.5), python-support (>= 0.6), python-numpy, python-scipy, libsvm-dev (>= 2.84.0), python-sphinx, graphviz, python-nose, python-setuptools, cython, python-matplotlib, ipython, swig
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.5), python-support (>= 0.6), python-numpy, python-scipy, libsvm-dev (>= 2.84.0), python-sphinx (>= 1.0~), graphviz, python-nose, python-setuptools, cython (>= 0.12~), python-matplotlib, ipython, swig, python-joblib (>= 0.4.5)
+Standards-Version: 3.9.2
 XS-Python-Version: >= 2.5
 Homepage: http://scikit-learn.sourceforge.net
 Vcs-Browser: http://github.com/yarikoptic/scikit-learn
@@ -16,7 +16,7 @@
 Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-scikits-learn-lib(>= ${source:Version})
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
-Recommends: python-nose, python-psyco, python-matplotlib
+Recommends: python-nose, python-psyco, python-matplotlib, python-joblib (>= 0.4.5)
 Suggests: python-dap, python-scikits-optimization, python-scikits-learn-doc
 Description: Python modules for machine learning and data mining
  scikit-learn is a collection of Python modules relevant to

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

PACKAGE_NAME = python-scikits-learn
PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}

PYVERS = $(shell pyversions -vs)
PYVER = $(shell pyversions  -vd)

# Mega rule
%:
	: # Explicit build system to avoid use of all-in-1 Makefile
	dh $@ --buildsystem=python_distutils


override_dh_clean:
	rm -rf build doc/_build doc/auto_examples *-stamp scikits.learn.egg-info scikits/learn/datasets/__config__.py
	dh_clean


override_dh_auto_install: ${PYVERS:%=python-install%} ${PYVERS:%=python-test%}
# Per Python version logic -- install, test, move .so into -lib
python-install%:
	python$* setup.py install --install-layout=deb --root=$(PACKAGE_ROOT_DIR)

python-test%: python-install%
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	: # Run unittests here against installed scikits.learn
	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/`; \
	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
	export JOBLIB_MULTIPROCESSING=0; \
	cd build/; python$* /usr/bin/nosetests -s -e test_fit_works_on_sequences_of_different_length scikits.learn; \
			   python$* /usr/bin/nosetests --with-doctest --doctest-extension=rst ../doc/
else
	: # Skip unittests due to nocheck
endif


override_dh_installdocs:
	: # Build Documentation using installed scikits.learn
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
ifneq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
	: # not building documentation in -a
else
	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE_ROOT_DIR)/usr/lib/python$(PYVER)/*`; \
	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
	 cd doc; $(MAKE) html
endif
endif
	: # Use jquery from Debian package, so prune shipped one
	-rm doc/_build/html/_static/jquery.js
	dh_installdocs -A AUTHORS.rst README*.rst

override_dh_installchangelogs:
	dh_installchangelogs doc/whats_new.rst

## move binary libraries into -lib
override_dh_pysupport:
	: # Move platform-specific libraries into -lib
	for lib in $$(find $(PACKAGE_ROOT_DIR)/usr -name '*.so'); do \
	   sdir=$$(dirname $$lib) ; \
	   tdir=$(PACKAGE_ROOT_DIR)-lib/$${sdir#*$(PACKAGE_NAME)/} ; \
	   mkdir -p $$tdir ; \
	   echo "Moving '$$lib' into '$$tdir'." ; \
	   mv $$lib $$tdir ; \
	done
	if [ -x /usr/bin/dh_numpy ]; then dh_numpy -ppython-scikits-learn-lib; fi
	: # Prune scikits/__init__.py to avoid conflicts
	find debian -wholename \*scikits/__init__.py -delete
	dh_pysupport

## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv


## to prepare next Debian upstream source tarball
dfsg: dfsg-master
dfsg-%:
	git checkout dfsg
	-git merge --no-commit $*
	-git rm -rf scikits/learn/externals/joblib
	# -git rm -f ./scikits/learn/svm/src/libsvm/svm.*
	git commit -m "Merge $* into DFSG (pruning externals: joblib)" -a
	git checkout debian

## scikit-learn 0.9.0.dfsg

=== Makefile ===
--- 
+++ 
@@ -3,10 +3,11 @@
 # caution: testing won't work on windows, see README
 
 PYTHON ?= python
+CYTHON ?= cython
 NOSETESTS ?= nosetests
 CTAGS ?= ctags
 
-all: clean inplace test test-doc
+all: clean inplace test
 
 clean-pyc:
 	find . -name "*.pyc" | xargs rm -f
@@ -27,18 +28,23 @@
 inplace:
 	$(PYTHON) setup.py build_ext -i
 
-test: in
-	$(NOSETESTS) -s scikits/learn
+test-code: in
+	$(NOSETESTS) -s sklearn
 test-doc:
 	$(NOSETESTS) -s --with-doctest --doctest-tests --doctest-extension=rst \
 	--doctest-fixtures=_fixture doc/modules/
 
 test-coverage:
-	$(NOSETESTS) -s --with-coverage --cover-html --cover-html-dir=coverage
+	$(NOSETESTS) -s --with-coverage --cover-html --cover-html-dir=coverage \
+	--cover-package=sklearn sklearn
 
+test: test-code test-doc
 
 trailing-spaces:
 	find -name "*.py" |xargs sed -i 's/[ \t]*$$//'
+
+cython:
+	find sklearn -name "*.pyx" | xargs $(CYTHON)
 
 ctags:
 	# make tags for symbol based navigation in emacs and vim

=== doc/Makefile ===
--- 
+++ 
@@ -13,6 +13,8 @@
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
 .PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest
+
+all: html-noplot
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
@@ -30,9 +32,16 @@
 clean:
 	-rm -rf $(BUILDDIR)/*
 	-rm -rf auto_examples/
+	-rm -rf doc/generated/*
+	-rm -rf modules/generated/*
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
+	@echo
+	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
+
+html-noplot:
+	$(SPHINXBUILD) -D plot_gallery=False -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
@@ -88,3 +97,6 @@
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/doctest/output.txt."
+
+download-data:
+	python -c "from scikits.learn.datasets.lfw import check_fetch_lfw; check_fetch_lfw()"

=== debian/changelog ===
scikit-learn (0.9.0.dfsg-1) unstable; urgency=low

  * New upstream release:
    - renamed module to sklearn,
      scikits.learn adapter was provided to ease migration
    - there is no strict dependency on IPython any longer.  Thus removed
      IPython from build-depends and Suggest it now for binary package
      (Closes: #636472)
  * Enabled all unittests and ignored failures on doctests:
    https://github.com/scikit-learn/scikit-learn/issues/401
  * Adjusted debian/copyright to be fresh DEP5-compliant

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 17 Oct 2011 23:49:47 -0400

=== debian/control ===
Source: scikit-learn
Section: python
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.5), python-support (>= 0.6), python-numpy, python-scipy, libsvm-dev (>= 2.84.0), python-sphinx (>= 1.0~), graphviz, python-nose, python-setuptools, cython (>= 0.12~), python-matplotlib, swig, python-joblib (>= 0.4.5)
Standards-Version: 3.9.2
XS-Python-Version: >= 2.5
Homepage: http://scikit-learn.sourceforge.net
Vcs-Browser: http://github.com/yarikoptic/scikit-learn
Vcs-Git: git://github.com/yarikoptic/scikit-learn.git
XS-DM-Upload-Allowed: yes

Package: python-sklearn
Replaces: python-scikits-learn (<< 0.9~)
Breaks: python-scikits-learn (<< 0.9~)
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-sklearn-lib(>= ${source:Version})
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Recommends: python-nose, python-psyco, python-matplotlib, python-joblib (>= 0.4.5)
Suggests: python-dap, python-scikits-optimization, python-sklearn-doc, ipython
Enhances: python-mvpa2, python-mdp
Description: Python modules for machine learning and data mining
 scikit-learn is a collection of Python modules relevant to
 machine/statistical learning and data mining.  Non-exhaustive list of
 included functionality:
  - Gaussian Mixture Models
  - Manifold learning
  - kNN
  - SVM (via LIBSVM)


Package: python-sklearn-doc
Conflicts: python-scikits-learn-doc
Replaces: python-scikits-learn-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: python-sklearn
Description: documentation and examples for scikit-learn
 This package contains documentation and example scripts for
 python-sklearn.

Package: python-sklearn-lib
Conflicts: python-scikits-learn-lib
Replaces: python-scikits-learn-lib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: low-level implementations and bindings for scikit-learn
 This is an add-on package for python-sklearn. It provides
 low-level implementations and custom Python bindings for the LIBSVM
 library.


Package: python-scikits-learn
Depends: python-sklearn, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional compatibility package for scikits.learn -> sklearn migration
 Provides old namespace (scikits.learn) and could be removed if
 dependent code migrated to use sklearn for clarity of the namespace.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
 
-PACKAGE_NAME = python-scikits-learn
+PACKAGE_NAME = python-sklearn
 PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}
 
 PYVERS = $(shell pyversions -vs)
@@ -29,8 +29,8 @@
 	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/`; \
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
 	export JOBLIB_MULTIPROCESSING=0; \
-	cd build/; python$* /usr/bin/nosetests -s -e test_fit_works_on_sequences_of_different_length scikits.learn; \
-			   python$* /usr/bin/nosetests --with-doctest --doctest-extension=rst ../doc/
+	cd build/; python$* /usr/bin/nosetests -s sklearn && \
+			   { python$* /usr/bin/nosetests --with-doctest --doctest-extension=rst ../doc/ || : ; } # doctests are failing ATM
 else
 	: # Skip unittests due to nocheck
 endif
@@ -64,9 +64,16 @@
 	   echo "Moving '$$lib' into '$$tdir'." ; \
 	   mv $$lib $$tdir ; \
 	done
-	if [ -x /usr/bin/dh_numpy ]; then dh_numpy -ppython-scikits-learn-lib; fi
+	if [ -x /usr/bin/dh_numpy ]; then dh_numpy -ppython-sklearn-lib; fi
 	: # Prune scikits/__init__.py to avoid conflicts
 	find debian -wholename \*scikits/__init__.py -delete
+	: # Move scikits. space into a compatibility package
+	find debian -wholename \*scikits -type d | while read skd; do \
+		skbd=$$(dirname $$skd); \
+		skbd_=$$(echo $$skbd | sed -e 's/sklearn/scikits-learn/g'); \
+		mkdir -p $$skbd_; \
+		mv $$skd $$skbd_; \
+	done
 	dh_pysupport
 
 ## immediately useable documentation and exemplar scripts/data

## scikit-learn 0.10.0

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	$(NOSETESTS) -s sklearn
 test-doc:
 	$(NOSETESTS) -s --with-doctest --doctest-tests --doctest-extension=rst \
-	--doctest-fixtures=_fixture doc/modules/
+	--doctest-fixtures=_fixture doc/ doc/modules/
 
 test-coverage:
 	$(NOSETESTS) -s --with-coverage --cover-html --cover-html-dir=coverage \
@@ -41,7 +41,7 @@
 test: test-code test-doc
 
 trailing-spaces:
-	find -name "*.py" |xargs sed -i 's/[ \t]*$$//'
+	find . -name "*.py" | xargs perl -pi -e 's/[ \t]*$$//'
 
 cython:
 	find sklearn -name "*.pyx" | xargs $(CYTHON)
@@ -50,3 +50,9 @@
 	# make tags for symbol based navigation in emacs and vim
 	# Install with: sudo apt-get install exuberant-ctags
 	$(CTAGS) -R *
+
+doc: inplace
+	make -C doc html
+
+doc-noplot: inplace
+	make -C doc html-noplot

=== debian/changelog ===
scikit-learn (0.10.0-1build1) precise; urgency=low

  * Rebuild to pick up numpy-abi9 on armel

 -- Julian Taylor <jtaylor@ubuntu.com>  Sun, 19 Feb 2012 14:48:31 +0100

scikit-learn (0.10.0-1) unstable; urgency=low

  * Snapshot of upstream release branch
    - Python 2.5 compatibility dropped
  * Dropping .dfsg suffix since it is not adequate.  Sources are
    repackaged only to remove joblib shipped in a separate package in Debian
    main
  * Adjusted dfsg and other rules to operate on sklearn directory
  * Dropping cherry-picked fix up_release_sv_coef_memory
  * Operate on 'requested' not all supported Python versions
  * Added 'set -e' to composite cmdline constructs in debian/rules to
    prevent swallowing errors. Thanks to Jakub Wilk for citing me the relevant
    exerpt from Debian policy ;-)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 Jan 2012 22:42:03 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.5), python-support (>= 0.6), python-numpy, python-scipy, libsvm-dev (>= 2.84.0), python-sphinx (>= 1.0~), graphviz, python-nose, python-setuptools, cython (>= 0.12~), python-matplotlib, swig, python-joblib (>= 0.4.5)
 Standards-Version: 3.9.2
-XS-Python-Version: >= 2.5
+XS-Python-Version: >= 2.6
 Homepage: http://scikit-learn.sourceforge.net
 Vcs-Browser: http://github.com/yarikoptic/scikit-learn
 Vcs-Git: git://github.com/yarikoptic/scikit-learn.git
@@ -56,7 +56,7 @@
 
 
 Package: python-scikits-learn
-Depends: python-sklearn, ${misc:Depends}
+Depends: python-sklearn, ${misc:Depends}, ${python:Depends}
 Architecture: all
 Section: oldlibs
 Description: transitional compatibility package for scikits.learn -> sklearn migration

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PACKAGE_NAME = python-sklearn
 PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}
 
-PYVERS = $(shell pyversions -vs)
+PYVERS = $(shell pyversions -vr)
 PYVER = $(shell pyversions  -vd)
 
 # Mega rule
@@ -14,7 +14,7 @@
 
 
 override_dh_clean:
-	rm -rf build doc/_build doc/auto_examples *-stamp scikits.learn.egg-info scikits/learn/datasets/__config__.py
+	rm -rf build doc/_build doc/auto_examples *-stamp *.egg-info sklearn/datasets/__config__.py
 	dh_clean
 
 
@@ -57,6 +57,7 @@
 ## move binary libraries into -lib
 override_dh_pysupport:
 	: # Move platform-specific libraries into -lib
+	set -e; \
 	for lib in $$(find $(PACKAGE_ROOT_DIR)/usr -name '*.so'); do \
 	   sdir=$$(dirname $$lib) ; \
 	   tdir=$(PACKAGE_ROOT_DIR)-lib/$${sdir#*$(PACKAGE_NAME)/} ; \
@@ -68,6 +69,7 @@
 	: # Prune scikits/__init__.py to avoid conflicts
 	find debian -wholename \*scikits/__init__.py -delete
 	: # Move scikits. space into a compatibility package
+	set -e; \
 	find debian -wholename \*scikits -type d | while read skd; do \
 		skbd=$$(dirname $$skd); \
 		skbd_=$$(echo $$skbd | sed -e 's/sklearn/scikits-learn/g'); \
@@ -82,11 +84,11 @@
 
 
 ## to prepare next Debian upstream source tarball
-dfsg: dfsg-master
+dfsg: dfsg-releases
 dfsg-%:
 	git checkout dfsg
 	-git merge --no-commit $*
-	-git rm -rf scikits/learn/externals/joblib
-	# -git rm -f ./scikits/learn/svm/src/libsvm/svm.*
+	-git rm -rf sklearn/externals/joblib
+	# -git rm -f ./sklearn/svm/src/libsvm/svm.*
 	git commit -m "Merge $* into DFSG (pruning externals: joblib)" -a
 	git checkout debian

## scikit-learn 0.11.0

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,8 @@
 	$(NOSETESTS) -s sklearn
 test-doc:
 	$(NOSETESTS) -s --with-doctest --doctest-tests --doctest-extension=rst \
-	--doctest-fixtures=_fixture doc/ doc/modules/
+	--doctest-extension=inc --doctest-fixtures=_fixture doc/ doc/modules/ \
+	doc/developers doc/tutorial/basic doc/tutorial/statistical_inference
 
 test-coverage:
 	$(NOSETESTS) -s --with-coverage --cover-html --cover-html-dir=coverage \

=== doc/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
-.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest
+.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex latexpdf changes linkcheck doctest
 
 all: html-noplot
 
@@ -25,6 +25,7 @@
 	@echo "  htmlhelp  to make HTML files and a HTML help project"
 	@echo "  qthelp    to make HTML files and a qthelp project"
 	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
+	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
 	@echo "  changes   to make an overview of all changed/added/deprecated items"
 	@echo "  linkcheck to check all external links for integrity"
 	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
@@ -79,8 +80,14 @@
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
-	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
-	      "run these through (pdf)latex."
+	@echo "Run \`make' in that directory to run these through (pdf)latex" \
+	      "(use \`make latexpdf' here to do that automatically)."
+
+latexpdf:
+	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
+	@echo "Running LaTeX files through pdflatex..."
+	make -C $(BUILDDIR)/latex all-pdf
+	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
 
 changes:
 	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes

=== debian/changelog ===
scikit-learn (0.11.0-2+deb7u1) wheezy; urgency=low

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * Backport fix for #709056 to wheezy.

  [ Yaroslav Halchenko ]
  * debian/control
    - move joblib to Depends from Recommends (Closes: #709056)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 07 Dec 2013 21:08:56 +0100

scikit-learn (0.11.0-2) unstable; urgency=low

  * Patches to resolve FTBFS'es (Closes: #680246)
    - armel: up_inconsistent_numpy_warnings (adopted upstream)
    - mipsel: up_MinCovDet_test_seeding (picked up from upstream)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 04 Jul 2012 11:26:24 -0400

scikit-learn (0.11.0-1) unstable; urgency=low

  * Fresh upstream release
  * Adjusted patches/deb_use_system_joblib to avoid submodule
    import
  * debian/rules:
    - run unittests in verbose mode
    - exclude 1 test with known failures (reported upstream) 
      to avoid FTBFS

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 07 May 2012 22:40:04 -0400

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,11 @@
 Replaces: python-scikits-learn (<< 0.9~)
 Breaks: python-scikits-learn (<< 0.9~)
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-sklearn-lib(>= ${source:Version})
+Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-sklearn-lib(>= ${source:Version}),
+         python-joblib (>= 0.4.5),
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
-Recommends: python-nose, python-psyco, python-matplotlib, python-joblib (>= 0.4.5)
+Recommends: python-nose, python-psyco, python-matplotlib
 Suggests: python-dap, python-scikits-optimization, python-sklearn-doc, ipython
 Enhances: python-mvpa2, python-mdp
 Description: Python modules for machine learning and data mining

## scikit-learn 0.13

=== debian/changelog ===
scikit-learn (0.13-3) unstable; urgency=low

  * Upload to unstable
  * debian/control
    - move joblib to Depends from Recommends (Closes: #709056)
  	- remove unused AFAIK XB-Python-Version

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 20 May 2013 11:01:00 -0400

scikit-learn (0.13-2) experimental; urgency=low

  * CP from upstream commits to fix a problem with ROC curves lacking
    (0,0), (1,1) trailing points in some cases (gh-1658)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 18 Feb 2013 12:31:57 -0500

scikit-learn (0.13-1) experimental; urgency=low

  * Fresh upstream release
    - dropping CP-ed changesets and deb_disable_test_spectral_old_scipy patch 
  * debian/rules
    - removing exclusion of tests previously failed

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 22 Jan 2013 21:37:24 -0500

scikit-learn (0.12.1-1) experimental; urgency=low

  * Fresh upstream bugfix release
    - for now excluded some labile tests from testing
    - picked up after release fix: 552833 Robustify LARS. Fixes issue #487

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 31 Oct 2012 16:17:41 -0400

scikit-learn (0.12.0-1) experimental; urgency=low

  * Fresh upstream release:
    - all debian/up_ patches removed, deb_ patched updated
  * Boosted policy to 3.9.3 (should be ok without changes)
  * patches/deb_disable_test_spectral_old_scipy
    - disable unittest on older scipy's due to failure
  * debian/control
    - removed obsolete (and not used any longer) python-psyco from
      Recommends

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 06 Sep 2012 21:30:31 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.5), python-support (>= 0.6), python-numpy, python-scipy, libsvm-dev (>= 2.84.0), python-sphinx (>= 1.0~), graphviz, python-nose, python-setuptools, cython (>= 0.12~), python-matplotlib, swig, python-joblib (>= 0.4.5)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
 Homepage: http://scikit-learn.sourceforge.net
 Vcs-Browser: http://github.com/yarikoptic/scikit-learn
@@ -18,8 +18,7 @@
 Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-sklearn-lib(>= ${source:Version}),
          python-joblib (>= 0.4.5),
 Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
-Recommends: python-nose, python-psyco, python-matplotlib
+Recommends: python-nose, python-matplotlib
 Suggests: python-dap, python-scikits-optimization, python-sklearn-doc, ipython
 Enhances: python-mvpa2, python-mdp
 Description: Python modules for machine learning and data mining
@@ -49,7 +48,6 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
 Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
 Description: low-level implementations and bindings for scikit-learn
  This is an add-on package for python-sklearn. It provides
  low-level implementations and custom Python bindings for the LIBSVM

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,10 @@
 
 PYVERS = $(shell pyversions -vr)
 PYVER = $(shell pyversions  -vd)
+
+# Some tests are known to fail randomly so need to be excluded ATM
+NOSEARGS := 
+# --exclude='test_(sparse_svc_clone_with_callable_kernel|spectral_clustering_sparse|ovr_fit_predict)'
 
 # Mega rule
 %:
@@ -29,8 +33,8 @@
 	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/`; \
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
 	export JOBLIB_MULTIPROCESSING=0; \
-	cd build/; python$* /usr/bin/nosetests -s sklearn && \
-			   { python$* /usr/bin/nosetests --with-doctest --doctest-extension=rst ../doc/ || : ; } # doctests are failing ATM
+	cd build/; python$* /usr/bin/nosetests -s -v $(NOSEARGS) sklearn && \
+	  { python$* /usr/bin/nosetests -v --with-doctest --doctest-extension=rst ../doc/ || : ; } # doctests are failing ATM
 else
 	: # Skip unittests due to nocheck
 endif

## scikit-learn 0.13.1

=== Makefile ===
# simple makefile to simplify repetetive build env management tasks under posix

# caution: testing won't work on windows, see README

PYTHON ?= python
CYTHON ?= cython
NOSETESTS ?= nosetests
CTAGS ?= ctags

all: clean inplace test

clean-pyc:
	find sklearn -name "*.pyc" | xargs rm -f

clean-so:
	find sklearn -name "*.so" | xargs rm -f
	find sklearn -name "*.pyd" | xargs rm -f

clean-build:
	rm -rf build

clean-ctags:
	rm -f tags

clean: clean-build clean-pyc clean-so clean-ctags

in: inplace # just a shortcut
inplace:
	$(PYTHON) setup.py build_ext -i

test-code: in
	$(NOSETESTS) -s -v sklearn
test-doc:
	$(NOSETESTS) -s -v doc/ doc/modules/ doc/datasets/ \
	doc/developers doc/tutorial/basic doc/tutorial/statistical_inference

test-coverage:
	rm -rf coverage .coverage
	$(NOSETESTS) -s -v --with-coverage sklearn

test: test-code test-doc

trailing-spaces:
	find sklearn -name "*.py" | xargs perl -pi -e 's/[ \t]*$$//'

cython:
	find sklearn -name "*.pyx" | xargs $(CYTHON)

ctags:
	# make tags for symbol based navigation in emacs and vim
	# Install with: sudo apt-get install exuberant-ctags
	$(CTAGS) -R *

doc: inplace
	make -C doc html

doc-noplot: inplace
	make -C doc html-noplot

code-analysis:
	flake8 sklearn | grep -v __init__ | grep -v external
	pylint -E -i y sklearn/ -d E1103,E0611,E1101

=== doc/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 clean:
 	-rm -rf $(BUILDDIR)/*
 	-rm -rf auto_examples/
-	-rm -rf doc/generated/*
+	-rm -rf generated/*
 	-rm -rf modules/generated/*
 
 html:
@@ -106,4 +106,4 @@
 	      "results in $(BUILDDIR)/doctest/output.txt."
 
 download-data:
-	python -c "from scikits.learn.datasets.lfw import check_fetch_lfw; check_fetch_lfw()"
+	python -c "from sklearn.datasets.lfw import check_fetch_lfw; check_fetch_lfw()"

=== debian/changelog ===
scikit-learn (0.13.1-1~nd10.04+1) lucid; urgency=low

  * Backported for lucid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sat, 01 Jun 2013 15:52:07 -0400

scikit-learn (0.13.1-1) unstable; urgency=low

  * "Fresh" bugfix release:
    - dropping all cherry picked changesets

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 01 Jun 2013 11:36:44 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: scikit-learn
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.5), python-support (>= 0.6), python-numpy, python-scipy, libsvm-dev (>= 2.84.0), python-sphinx (>= 1.0~), graphviz, python-nose, python-setuptools, cython (>= 0.12~), python-matplotlib, swig, python-joblib (>= 0.4.5)
 Standards-Version: 3.9.3
@@ -15,7 +16,7 @@
 Replaces: python-scikits-learn (<< 0.9~)
 Breaks: python-scikits-learn (<< 0.9~)
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-sklearn-lib(>= ${source:Version}),
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-sklearn-lib(>= ${source:Version}),
          python-joblib (>= 0.4.5),
 Provides: ${python:Provides}
 Recommends: python-nose, python-matplotlib
@@ -36,7 +37,7 @@
 Replaces: python-scikits-learn-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
 Suggests: python-sklearn
 Description: documentation and examples for scikit-learn
  This package contains documentation and example scripts for
@@ -46,7 +47,7 @@
 Conflicts: python-scikits-learn-lib
 Replaces: python-scikits-learn-lib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
 Provides: ${python:Provides}
 Description: low-level implementations and bindings for scikit-learn
  This is an add-on package for python-sklearn. It provides
@@ -55,7 +56,7 @@
 
 
 Package: python-scikits-learn
-Depends: python-sklearn, ${misc:Depends}, ${python:Depends}
+Depends: neurodebian-popularity-contest, python-sklearn, ${misc:Depends}, ${python:Depends}
 Architecture: all
 Section: oldlibs
 Description: transitional compatibility package for scikits.learn -> sklearn migration
